<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCompanyInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('company_info', function (Blueprint $table) {
            $table->increments('id');
            $table->string('company_name',255)->comment('公司名称');
            $table->string('reg_no',64)->nullable()->comment('统一社会信用代码');
            $table->string('org_no',64)->nullable()->comment('组织机构代码');
            $table->string('legal_person',32)->nullable()->comment('法人');
            $table->string('open_status',24)->nullable()->comment('经营状态');
            $table->string('start_date',64)->nullable()->comment('成立日期');
            $table->string('open_time',64)->nullable()->comment('营业期限');
            $table->string('annual_date',64)->nullable()->comment('审核/年检日期');
            $table->string('reg_capital',32)->nullable()->comment('注册资本/万元');
            $table->string('ent_type',32)->nullable()->comment('企业类型');
            $table->string('industry',64)->nullable()->comment('所属行业');
            $table->string('district',128)->nullable()->comment('行政区域');
            $table->string('authority',128)->nullable()->comment('登记机关');
            $table->string('reg_addr',255)->nullable()->comment('所在地址');
            $table->text('scope')->nullable()->comment('经营范围');
            $table->string('website',255)->nullable()->comment('网址');

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('company_info');
    }
}
